iOS 8 Supported devices (Complete List)

iOS 8 is available for download . We know that official iOS 8 release date download links 17-th September, 2014. You can download new iOS 8 version from here. We have one big question. What devices are iOS 8 compatible? Will Apple's iOS 8 work on my iPhone? Which devices supported?


It's officially supported iOS 8 devices:

iPhone 5
iPhone 5S
iPhone 5C
iPhone 6
iPhone 6 Plus
iPad 2
iPad 3
iPad 4
iPad Air

iPad Mini
iPad Mini 2

iPod Touch 5G

P.S. How do i install iOS 8 iPhone 4!




Tim Cook admitted that currently being developed some new types of products, but it is time to pull off the veil of secrecy from them did not come. Nevertheless, these new solutions to Apple very proud.

Cook justifies the long wait for new products that sometimes training products for the announcement is delayed, and be the first time display new items on the market - it is not the main task of Apple. Apple wasn't the first in the case of the iPod, iPhone and iPad - players, smartphones and tablets existed on the market prior to their appearance. However, it is Apple products corresponding categories were among the best on the market. Much more important, according to Cook, do something right and not do it first.


87 comments:

  1. Replies
    1. ipod 5th is the same as iphone 4s, then it should be supported mate. don't worry about it. :) Also, I'm an ipod user too.

      Delete
    2. yes ipod 5 and if they come out with it ipod 6

      Delete
    3. iPod 6 will be released in the fall. WWDC doesn't usually reveal new iPhones or iPods at the conference.

      Delete
    4. well the ipod 5 is different from the 4s, because the processor is slower and it has less ram, so it may not support ios8.

      Delete
    5. iPod Touch 5th Gen is supported, yet iPhone 4 has been excluded from the list. However, when iOS7 was first released for the iPhone 4, it was majorly 'buggy' and had security flaws. iOS 8 shall also be quite buggy in beta stages, but will soon be fixed over time.

      Hope this helps!

      Delete
    6. Your comment is retarded. Right up top in the compatibility list, it lists "iPod Touch 5TH Gen.".

      Delete
    7. Those who don't like Apple have no job to be on this website.

      Delete
    8. why isn't the regular iPhone 4 supported? :(

      Delete
    9. but created in China where a huge part of the workers are 18yrs old or younger, aswell is iPhones.

      Delete
  2. and that's mean the iphone 4 users on 7.1/7.1.1 will stay without jailbreak?

    ReplyDelete
    Replies
    1. you can jailbreak 7.1 with an iPhone 4 at this moment.. search it up

      Delete
    2. Yes, You can, but you have to downgrade your device. To do so, you need iFaith and iTunes 11.
      It will only work with iTunes 11 not 11.x

      Delete
    3. Wrong. You won't have to downgrade.
      But the available jailbreak is tethered/semi-tethered.

      Delete
    4. iOS 7.1.2 for the iPhone 4 has been spotted and could be released any day now. This is to hopefully fix the battery drain and any other bugs found; potentially wrapping up things for the iPhone 4th Gen.

      In the upcoming weeks and months, jailbreak teams might find exploits for iOS 7.1.1 +, however this is not for certain, due to the release of iOS8.

      Much like the iPod Touch 4th Gen received its jailbreak a few months after the release of iOS7, there is still some hope for iPhone 4 users (Much like me)

      We wait and see what happens in the upcoming weeks.

      Hope this helps!

      Delete
    5. Why not they think about I phone 4. They should to do some thing for I-phone 4 which can make devise faster.

      Delete
  3. I think iPod touch 5th will support.
    Because we can install iOS 6 to iPod touch4.

    ReplyDelete
  4. Where is ipod touch 5? Do not forget ipod .....

    ReplyDelete
  5. Daí, quem possui o iPhone 4 assim como eu, se fodeu! :/

    ReplyDelete
    Replies
    1. Ouxe lek, porque? eu tenho um 4 com iOS 7.1.1 e jailbreak de boa. Tbm tenho um iPod 4 que só foi até o 6.1.6 (acho) e uso de boa.

      Delete
  6. ipods are being taken off the market as people buy iphones instead of ipods

    ReplyDelete
    Replies
    1. That is a hoax. If you want a device that plays music and you don't want cellular or have to pay a subscription to use it, people prefer an Ipod.

      Delete
  7. I can't breathe knowing my old iPad 2 will support iOS 8..... So glad if it'll come true...

    ReplyDelete
    Replies
    1. i hope its true because if you calculate ipads can only run 4 ios versions and ipad 2 started at ios 4 so thats ios 4,5,6,7 so ios 7 could be the last ios for the ipad 2

      Delete
    2. It clearly states iPad 2 support above... Gumbi!

      Delete
  8. As apparently there will be no iOS 8 for devices like the iPhone 4 and iPod Touch 5g, when you release the iOS 8 jailbreak utility for the newer devices, would it also be possible in making another untethered jailbreak utility using the same exploit (It probably won't be patched by Apple on the iPhone 4 and iPod Touch 5g, as the devices are apparently not going to be supported any more) but instead for iOS 7.1 - 7.1.1 if that wouldn't be too much trouble. I am requesting the 7.1 - 7.1.1 jailbreak utility because for me, my iOS experience is not up to the standard that I'd like to have it. And just to let you know, I did not update to 7.1 because I wanted to (I had iOS 7.0.6 jailbreak), it was because my device was stuck in an update loop for no known reason. As I said before, I'd really appreciate a 7.1 - 7.11 jailbreak utilty (If it's not too much to ask of), and one of the reasons is because I had purchased a jailbreak tweak, but cannot use it.

    Thanks,
    Jerardo

    Main Email:
    jerardogonnella@yahoo.co.uk

    ReplyDelete
    Replies
    1. Reading this comment makes me wanna cry. Please give a response.

      Delete
  9. I SWEAR TO FUCKING GOD, IF APPLE LEAVE MY TOUCH 5G ON iOS 7.1.1 WITHOUT A FUCKING JAILBREAK, I WILL KILL TIM FUCKING COOK!

    ReplyDelete
    Replies
    1. I know right! I have an ipod and want Ios 8!!!

      Delete
    2. lol.. do you not watch tv? your going to get a home visit by law enforcement for death threats.. they don't do just kidding anymore.

      Delete
    3. wow... you guys cant read. it clearly says ipod touch 5th generation.

      Delete
  10. I 100% agree! iOS 8 should be available for iPod Touch 5g as it has the same processing power as the 4S, although it has half the ram (512Mb), it still packs quite a punch and can run most modern apps. And the thing is I only got this iPod last year. The iPhone 4 had a *very* long support time, so why not the iPod touch 5g that came as an accompaniment to the iPhone 5? I really miss my Flex 2 and animated Miku wallpaper and even Winterboard.

    ReplyDelete
    Replies
    1. actually iphone 4s also has 512mb of ram. worry not mate. i'm sure your ipod will get one :)

      Delete
  11. Replies
    1. no but there is a jailbreak for the iphone 4 its called geeksn0w for ios 7.1/7.1.1

      Delete
  12. ios 8 beta will be coming out june 2nd there is going to be ways to download it without a developer account so just wait also there will be a jailbreak for ios 8

    ReplyDelete
    Replies
    1. Ever since iOS 7.1 beta 3, you can't install without developer account or at least a registered UDID

      Delete
  13. how about iPhone 4? I have my iPhone 4 and i hope that iOS 8 would be compatible with iPhone 4. I'm still hoping that I can update my iPhone 4 to iOS 8. what should I do if there's no way ti update my iPhone 4 to iOS 8?

    ReplyDelete
    Replies
    1. Sadly, no, the iPhone 4 is not going to get the update (and probably no more software updates afterwards). I purchased an iPhone 4 last year and am a little disappointed that it is now "obsolete".

      Delete
    2. Where did you purchase this? They have been off the commercial market for quite some time.

      Delete
  14. Replies
    1. No iOS8 for iphone 4 but there will be for iPad 2.

      It's officially supported iOS 8 devices:

      iPhone 4S
      iPhone 5
      iPhone 5S
      iPhone 5C
      iPad 2
      iPad 3
      iPad 4
      iPad Air

      iPad Mini
      iPad Mini 2

      iPod Touch 5G

      Delete
  15. iphone 4s and all next year models will be compatible

    ReplyDelete
  16. Well, minus 3.5 inch iPhone. Only the iPhone 4S will be the last 3.5 inch phone to support iOS8

    ReplyDelete
  17. i'm also waiting for updating my iphone 4 to IOS 8.
    hope it will happen

    ReplyDelete
  18. Can i download it now on my iphone 5s? or i should be a developer?

    ReplyDelete
  19. its dont support iphone 4 WHYYYYY WHYYYYYY im crying

    ReplyDelete
  20. iphone 4 is a dinosaur phone. thats why. and its to slow

    ReplyDelete
    Replies
    1. No flip phones are dinosaur phones you dingus!

      Delete
  21. The new Iphone better be good. I have a Iphone5 and a Galaxy Note 3, its not very often my iphone is my go to.Apple better kick it up a notch.

    ReplyDelete
  22. Replies
    1. just bought i phone 4 last May........just like what they did with i phone3g/s when i phone4 was released

      Delete
    2. I agree. I don't want to feel like I wasted $200 last year on my device if it won't receive support.

      Delete
  23. That's stupid that they won't do it for the iPhone 4. Not everyone has the newest i products!!!!!!!!!!!

    ReplyDelete
    Replies
    1. i don't know why apple is doing that with iphone 4 users:(

      Delete
    2. just for money to make them buy new iphone and be like others

      Delete
  24. There will not be an iPod 6, Apple has officially drop the iPod series because they are not selling, so the fifth generation is the last iPod of them

    ReplyDelete
  25. I'm so frustrated that my IPad 3 won't be supported! It's only one and a half years old!!! I guess that's how Apple scams us into constantly buying their short-lived products :(

    ReplyDelete
    Replies
    1. WTF is wrong with you? Can you not read?

      Delete
  26. when Apple released i phone4/4s they stop updating the i phone 3g/s This will happen everytime a new phone will be released

    ReplyDelete
  27. can ios 8 fix the wifi problem caused by ios 7??

    ReplyDelete
  28. This comment has been removed by the author.

    ReplyDelete
  29. iphone 4 out of the list.. what the F! Sh!!t Apple

    ReplyDelete
  30. Why not iPhone 4? I have an iPhone 4, and that SUCKS, c'mon!

    ReplyDelete
  31. What's wrong with you people the iPod 5 is supported (iOS is out when I write this comment ) so is the iPad 2 but no iPhone 4 obviously. Quit complain that the iPhone 4 can't get it . It could barely handle iOS 7 and the iPhone 4s is running slow because of it so the iPhone 4 would be much slower.

    ReplyDelete
    Replies
    1. The iPhone 4 handles IOS 7 smoothly. At least it does so for me.

      Delete
    2. totally agree with Mayah Blain on that point ^^

      Delete
  32. i have iphone 4 and it suck nowaday. Still stuck at ios 6 and almost ALL new apps need ios 7 or atleast iphone 4s. Time to change to a new phone, xiaomi like almost all my friend does. 400% times cheaper and better in everything

    ReplyDelete
  33. I love apple man I need to get my money together

    ReplyDelete
  34. I didn't know that the 4 would not support the newest IOS 8 and downloaded it an now it is locked and telling me on ITunes to restore my phone....never happened to me before, should I restore??

    ReplyDelete
  35. why is it that iphon4 cant be upgraded to ios 8?

    ReplyDelete

Related Post

2011-2017. Evad3rs.net. All right reserved. You can iOS 12 Download for iPhone X,iPhone 8,iPhone 7,iPhone X Plus,iPad X,iPad Pro and others devices.Only legal information. This website is not owned by, is not licensed by nor is a subsidiary of Apple Inc. iOS 12, iPhone X is a trademark of Apple Inc. The content of this website is not supplied or reviewed by Apple Inc. All articles, images, logos and trademarks in this site are property of their respective owners. Please follow this link to read the complete disclaimer.